#!/bin/bash

if [[ ! -z $DRONE_TAG && ! -z $GOOS && ! -z $GOARCH ]]
then
  mkdir dist
  go build -o dist/qrz-${DRONE_TAG}-${GOOS}-${GOARCH} -mod=vendor -ldflags='-s -w' cmd/qrz/*.go
  cd dist
  tar -czvf qrz-${DRONE_TAG}-${GOOS}-${GOARCH}.tar.gz
else
  echo "Required variables not set"
fi
